import request from '@/utils/request'

//获取统一翻译列表
export function gettransactionList(params) {
    return request({
        url: '/system/manage/transaction/list',
        method: 'get',
        params
    })
}

//获取语言下拉选枚举
export function getLanguagesList(params) {
    return request({
        url: '/system/pub/enums/get-languages',
        method: 'get',
        params
    })
}

//翻译列表导出
export function exportTranslateData(params) {
    return request({
      url: '/system/manage/transaction/export',
      method: 'get',
      params
    })
  }

  //修改单条翻译
  export function updateTransaction(data) {
    return request({
        url: '/system/manage/transaction/update',
        method: 'post',
        data
    })
}

// 获取后台推送列表
export function getShowPuShInfo(params) {
  return request({
    url: '/system/manage/platform/message/show-push-info',
    method: 'get',
    params
  })
}
// 获取后台公告列表
export function getNoticeList(params) {
  return request({
    url: '/system/manage/notice/admin-index-list',
    method: 'get',
    params
  })
}
// 更新读取状态
export function updateReadState(params) {
  return request({
    url: '/system/manage/platform/message/update-read-state',
    method: 'get',
    params
  })
}
// 个人信息
export function getUserInfo(params) {
  return request({
    url: '/system/manage/user/center',
    method: 'get',
    params
  })
}

// 修改用户资料
export function updateUserInfo(data) {
  return request({
    url: '/system/manage/user/center-base',
    method: 'put',
    data
  })
}
// 修改用户密码
export function updateUserPwd(data) {
  return request({
    url: '/system/manage/user/center-pwd',
    method: 'put',
    data
  })
}
// 修改用户头像
export function updateUserAvatar(data) {
  return request({
    url: '/system/manage/user/center-head',
    method: 'put',
    data
  })
}
